summaryrefslogtreecommitdiff
path: root/BUILD
diff options
context:
space:
mode:
authorunknown <tim@threads.polyesthetic.msg>2001-01-30 20:43:16 -0500
committerunknown <tim@threads.polyesthetic.msg>2001-01-30 20:43:16 -0500
commitf9339b35d974556b4fe8c87abd5c9008bd5a6c87 (patch)
tree360166238a299aaca77ca5c72eafb4730fff028e /BUILD
parentbf1f8fd3eb4b98dadd265f8ed10d92220dabe1bb (diff)
downloadmariadb-git-f9339b35d974556b4fe8c87abd5c9008bd5a6c87.tar.gz
Add --just-print and --help options to BUILD/compile-* scripts.
BUILD/FINISH.sh: Add --just-print and --help options, +cleanup. BUILD/SETUP.sh: Add --just-print and --help options, +cleanup. BitKeeper/etc/logging_ok: Logging to logging@openlogging.org accepted
Diffstat (limited to 'BUILD')
-rw-r--r--BUILD/FINISH.sh39
-rw-r--r--BUILD/SETUP.sh34
2 files changed, 50 insertions, 23 deletions
diff --git a/BUILD/FINISH.sh b/BUILD/FINISH.sh
index decfe5021b4..16ee8ffdc5e 100644
--- a/BUILD/FINISH.sh
+++ b/BUILD/FINISH.sh
@@ -1,21 +1,36 @@
cflags="$c_warnings $extra_flags"
cxxflags="$cxx_warnings $base_cxxflags $extra_flags"
configure="./configure $base_configs $extra_configs"
-for arg in "$@"; do
- configure="$configure "`echo "$arg" | sed -e 's,\([^a-zA-Z0-9_.-]\),\\\\\1,g'`
+for arg
+do
+ # Escape special characters so they don't confuse eval
+ configure="$configure "`echo "$arg" | \
+ sed -e 's,\([^a-zA-Z0-9_.=-]\),\\\\\1,g'`
done
+commands="\
+$make -k clean || true
+/bin/rm -f */.deps/*.P config.cache
-eval "CFLAGS='$cflags' CXX=gcc CXXFLAGS='$cxxflags' $configure"
+aclocal; autoheader; aclocal; automake; autoconf
-if [ "x$do_make" = "xno" ] ; then
- exit 0
-fi
+CFLAGS=\"$cflags\" CXX=gcc CXXFLAGS=\"$cxxflags\" $configure
+
+$make $AM_MAKEFLAGS"
+
+if [ "x$strip" = "xyes" ]
+then
+ commands="$commands
-$make $AM_MAKEFLAGS
-if [ "x$strip" = "xyes" ]; then
- mkdir -p tmp
- nm --numeric-sort sql/mysqld > tmp/mysqld.sym
- objdump -d sql/mysqld > tmp/mysqld.S
- strip sql/mysqld
+mkdir tmp
+nm --numeric-sort sql/mysqld > tmp/mysqld.sym
+objdump -d sql/mysqld > tmp/mysqld.S
+strip sql/mysqld"
fi
+
+if test -z "$nonono"
+then
+ eval "set -x; $commands"
+else
+ echo "$commands"
+fi
diff --git a/BUILD/SETUP.sh b/BUILD/SETUP.sh
index 53082b7bd79..9c267589ad6 100644
--- a/BUILD/SETUP.sh
+++ b/BUILD/SETUP.sh
@@ -1,11 +1,27 @@
-if ! test -f sql/mysqld.cc; then
+if ! test -f sql/mysqld.cc
+then
echo "You must run this script from the MySQL top-level directory"
exit 1
fi
-set -e # exit on error
+nonono=
+case "$1" in
+-n | --just-print ) nonono=1; shift ;;
+-h | --help ) cat <<EOF; exit 0 ;;
+Usage: $0 [-h|-n] [configure-options]
+ -h, --help Show this help message.
+ -n, --just-print Don't actually run any commands; just print them.
-export AM_MAKEFLAGS="-j 4" # XXX: auto-make uses this variable - export it???
+Any other options will be passed directly to configure.
+
+Note: this script is intended for internal use by MySQL developers.
+EOF
+esac
+
+set -e
+
+export AM_MAKEFLAGS
+AM_MAKEFLAGS="-j 4"
# If you are not using codefusion add "-Wpointer-arith" to WARNINGS
# The following warning flag will give too many warnings:
@@ -16,7 +32,7 @@ debug_extra_warnings="-Wuninitialized"
c_warnings="$global_warnings -Wunused"
cxx_warnings="$global_warnings -Woverloaded-virtual -Wextern-inline -Wsign-promo -Wreorder -Wctor-dtor-privacy -Wnon-virtual-dtor"
-alpha_cflags="-mcpu=ev6 -Wa,-mev6" # not used yet
+alpha_cflags="-mcpu=ev6 -Wa,-mev6" # Not used yet
pentium_cflags="-mpentiumpro"
sparc_cflags=""
@@ -27,19 +43,15 @@ debug_cflags="-DEXTRA_DEBUG -DFORCE_INIT_OF_VARS -DSAFEMALLOC -DSAFE_MUTEX -O2"
base_cxxflags="-felide-constructors -fno-exceptions -fno-rtti"
base_configs="--prefix=/usr/local/mysql --enable-assembler --with-extra-charsets=complex --enable-thread-safe-client --with-mysqld-ldflags=-all-static"
-alpha_configs="" # not used yet
+alpha_configs="" # Not used yet
pentium_configs=""
sparc_configs=""
debug_configs="--with-debug"
-if gmake --version > /dev/null 2>&1; then
+if gmake --version > /dev/null 2>&1
+then
make=gmake
else
make=make
fi
-
-$make -k clean || true
-/bin/rm -f */.deps/*.P config.cache
-
-aclocal; autoheader; aclocal; automake; autoconf